!FDTDciUzgMWGJcYnwn:maunium.net

Mautrix-Telegram Bridge

908 Members
Discussion about mautrix-telegram | Latest release: v0.9.0 | https://github.com/tulir/mautrix-telegram | Bridged to https://t.me/mautrix_telegram291 Servers

Load older messages


SenderMessageTime
25 Jan 2021
@tulir:maunium.nettulirpython is easier16:58:04
@tulir:maunium.nettulirbut really learning any language is fairly easy after you know general programming concepts16:58:09
@rex:bitbeschleuniger.deRexthats true. Except Haskell. That fucks with you17:03:05
@shieru:aletheia.moeシエル=テンペストDo I need to create the database manually first if I use PostgreSQL?17:48:25
@shieru:aletheia.moeシエル=テンペストI'm trying to setup Mautrix with the same PostgreSQL server that my synapse server (which works nicely) uses, but it keeps crashing for some reason and I have no idea at all.17:49:42
@shieru:aletheia.moeシエル=テンペスト
[2021-01-25 17:46:21,704] [INFO@mau.init] Initializing mautrix-telegram 0.9.0+dev.4767fec8
[2021-01-25 17:46:21,725] [CRITICAL@mau.init] Unexpected error in initialization
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2345, in _wrap_pool_connect
    return fn()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 364, in connect
    return _ConnectionFairy._checkout(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 778, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 495, in checkout
    rec = pool._do_get()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 140, in _do_get
    self._dec_overflow()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 137, in _do_get
    return self._create_connection()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 309, in _create_connection
    return _ConnectionRecord(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 440, in __init__
    self.__connect(first_connect_check=True)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 661, in __connect
    pool.logger.debug("Error on connect(): %s", e)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 656, in __connect
    connection = pool._invoke_creator(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/strategies.py", line 114, in connect
    return dialect.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 490, in connect
    return self.dbapi.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: could not connect to server: Connection refused
	Is the server running on host "127.0.0.1" and accepting
	TCP/IP connections on port 5432?


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/mautrix/util/program.py", line 93, in _prepare
    self.prepare()
  File "/usr/lib/python3.8/site-packages/mautrix/bridge/bridge.py", line 79, in prepare
    self.prepare_db()
  File "/usr/lib/python3.8/site-packages/mautrix_telegram/__main__.py", line 63, in prepare_db
    super().prepare_db()
  File "/usr/lib/python3.8/site-packages/mautrix/bridge/bridge.py", line 137, in prepare_db
    if not self.db.has_table("alembic_version"):
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2340, in has_table
    return self.run_callable(self.dialect.has_table, table_name, schema)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2220, in run_callable
    with self._contextual_connect() as conn:
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2311, in _contextual_connect
    self._wrap_pool_connect(self.pool.connect, None),
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2348, in _wrap_pool_connect
    Connection._handle_dbapi_exception_noconnection(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1590, in _handle_dbapi_exception_noconnection
    util.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2345, in _wrap_pool_connect
    return fn()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 364, in connect
    return _ConnectionFairy._checkout(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 778, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 495, in checkout
    rec = pool._do_get()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 140, in _do_get
    self._dec_overflow()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 137, in _do_get
    return self._create_connection()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 309, in _create_connection
    return _ConnectionRecord(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 440, in __init__
    self.__connect(first_connect_check=True)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 661, in __connect
    pool.logger.debug("Error on connect(): %s", e)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 656, in __connect
    connection = pool._invoke_creator(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/strategies.py", line 114, in connect
    return dialect.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 490, in connect
    return self.dbapi.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
sqlalchemy.exc.OperationalError: (psycopg2.OperationalError) could not connect to server: Connection refused
	Is the server running on host "127.0.0.1" and accepting
	TCP/IP connections on port 5432?

(Background on this error at: http://sqlalche.me/e/e3q8)
17:50:14
@j:lo.hnLohn joined the room.18:00:43
@shieru:aletheia.moeシエル=テンペスト * Do I need to create the database manually first if I use PostgreSQL?18:01:16
@shieru:aletheia.moeシエル=テンペスト
In reply to @shieru:aletheia.moe
[2021-01-25 17:46:21,704] [INFO@mau.init] Initializing mautrix-telegram 0.9.0+dev.4767fec8
[2021-01-25 17:46:21,725] [CRITICAL@mau.init] Unexpected error in initialization
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2345, in _wrap_pool_connect
    return fn()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 364, in connect
    return _ConnectionFairy._checkout(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 778, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 495, in checkout
    rec = pool._do_get()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 140, in _do_get
    self._dec_overflow()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 137, in _do_get
    return self._create_connection()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 309, in _create_connection
    return _ConnectionRecord(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 440, in __init__
    self.__connect(first_connect_check=True)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 661, in __connect
    pool.logger.debug("Error on connect(): %s", e)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 656, in __connect
    connection = pool._invoke_creator(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/strategies.py", line 114, in connect
    return dialect.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 490, in connect
    return self.dbapi.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: could not connect to server: Connection refused
	Is the server running on host "127.0.0.1" and accepting
	TCP/IP connections on port 5432?


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/mautrix/util/program.py", line 93, in _prepare
    self.prepare()
  File "/usr/lib/python3.8/site-packages/mautrix/bridge/bridge.py", line 79, in prepare
    self.prepare_db()
  File "/usr/lib/python3.8/site-packages/mautrix_telegram/__main__.py", line 63, in prepare_db
    super().prepare_db()
  File "/usr/lib/python3.8/site-packages/mautrix/bridge/bridge.py", line 137, in prepare_db
    if not self.db.has_table("alembic_version"):
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2340, in has_table
    return self.run_callable(self.dialect.has_table, table_name, schema)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2220, in run_callable
    with self._contextual_connect() as conn:
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2311, in _contextual_connect
    self._wrap_pool_connect(self.pool.connect, None),
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2348, in _wrap_pool_connect
    Connection._handle_dbapi_exception_noconnection(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1590, in _handle_dbapi_exception_noconnection
    util.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2345, in _wrap_pool_connect
    return fn()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 364, in connect
    return _ConnectionFairy._checkout(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 778, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 495, in checkout
    rec = pool._do_get()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 140, in _do_get
    self._dec_overflow()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 137, in _do_get
    return self._create_connection()
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 309, in _create_connection
    return _ConnectionRecord(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 440, in __init__
    self.__connect(first_connect_check=True)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 661, in __connect
    pool.logger.debug("Error on connect(): %s", e)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
    compat.raise_(
  File "/usr/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
    raise exception
  File "/usr/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 656, in __connect
    connection = pool._invoke_creator(self)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/strategies.py", line 114, in connect
    return dialect.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 490, in connect
    return self.dbapi.connect(*cargs, **cparams)
  File "/usr/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
sqlalchemy.exc.OperationalError: (psycopg2.OperationalError) could not connect to server: Connection refused
	Is the server running on host "127.0.0.1" and accepting
	TCP/IP connections on port 5432?

(Background on this error at: http://sqlalche.me/e/e3q8)
Just found that I should change the IP since I'm using docker, never mind...
18:25:02
@telegram_1349705077:maunium.netMyron joined the room.21:00:37
@mani2:matrix.orgmani2 joined the room.22:19:07
@mani2:matrix.orgmani2 left the room.22:19:51
@rich11:matrix.orgRich joined the room.23:09:45
@me:celogeek.comCelogeek joined the room.23:34:40
26 Jan 2021
@dataejaculation:matrix.orgMarshMell0w joined the room.02:24:30
@telegram_1560597543:maunium.nettelegram_1560597543 joined the room.02:46:09
@j:lo.hnLohnHi! I using telegram with double puppet hosted by myself. But when I connected I received lots of invites for the contacts I have chat. There is a way to auto accept them?03:49:24
@telegram_641709238:maunium.netMarshMell0w joined the room.04:11:09
@efraimbart:matrix.orgEfraim BartOnly way I've found is via the element.io bulk accept under security and privacy.04:19:22
@efraimbart:matrix.orgEfraim BartIt does not work fast, but it usually gets the job done.04:19:44
@efraimbart:matrix.orgEfraim Bart Lohn 04:27:15
@j:lo.hnLohnThanks for the tip!04:45:45
@j:lo.hnLohn
In reply to @efraimbart:matrix.org
Only way I've found is via the element.io bulk accept under security and privacy.
I didn't find this option. Neither in the web app or the desktop one. Maybe they removed it?
05:27:06
@efraimbart:matrix.orgEfraim Bart Lohn In the web app a "bulk" section will show up near the bottom of Security & Privacy, but only when you have invites waiting. 05:31:51
@efraimbart:matrix.orgEfraim Bart* Lohn In the web app a "bulk" section will show up near the bottom of Security & Privacy, but _only_ when you have invites waiting.05:32:06
@j:lo.hnLohn
In reply to @efraimbart:matrix.org
Lohn In the web app a "bulk" section will show up near the bottom of Security & Privacy, but only when you have invites waiting.
Oh I see. My bad. Sorry then.
05:34:55
@github:maunium.netGitHub [tulir/mautrix-telegram] CaptainYukinoshitaHachiman commented on issue #343: Use direct Telegram media storage instead of copying attachments to local Matrix storage:

Does the client need to be authorized when using mxc protocol? If not this could cause the server be fulled by free-riders.

06:39:43
@github:maunium.netGitHub [tulir/mautrix-telegram] kevinsieverding starred the repo 07:56:44
@github:maunium.netGitHub [tulir/mautrix-telegram] Au403 starred the repo 09:14:07
@telegram_1467892597:maunium.netNancee PrukopRedacted or Malformed Event10:10:46

There are no newer messages yet.


Back to Room List